Bug 1007504 - horizon [Havana]: new volume dialogue takes a long time to open when we try to create a new volume during delete of several volumes
horizon [Havana]: new volume dialogue takes a long time to open when we try t...
Status: CLOSED CANTFIX
Product: RDO
Classification: Community
Component: python-django-horizon (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: Icehouse
Assigned To: Matthias Runge
Ami Jeain
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 11:35 EDT by Dafna Ron
Modified: 2015-06-04 17:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 09:53:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (15.25 KB, application/x-gzip)
2013-09-12 11:35 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2013-09-12 11:35:46 EDT
Created attachment 796918 [details]
logs

Description of problem:

In AIO with local tgt I created a 6 volumes and deleted all of them 
while volumes were deleted I created a new volume 
the dialogue for new volume took about 90 seconds to appear. 

Version-Release number of selected component (if applicable):

python-django-horizon-2013.2-0.10b3.el6.noarch

How reproducible:

100%

Steps to Reproduce:
1. install RDO havana on AIO with local tgt
2. create 6 volumes 
3. select all volumes and delete them
4. create a new volume

Actual results:

the new volume dialogue took me about 90 seconds to open 

Expected results:

dialogue should open right away 

Additional info: logs
Comment 1 Matthias Runge 2013-11-11 05:58:05 EST
Somehow I think, this is more or less expected on normal workstation hardware, as it just takes time for disk IO. Esp. horizon can't do anything in preventing this wanted IO.
Comment 2 Dafna Ron 2013-11-15 03:31:11 EST
this is not a disk I/O issue. 
seems like this would be an issue when we move to testing loaded environments. 
Please move to next version if you don't think it can be fixed in current version but it's most surely a bug
Comment 3 Matthias Runge 2013-11-15 03:38:44 EST
Horizon just responds to underlying services. If they don't answer (for whatever reason), horizon waits (until timeout)
Comment 4 Matthias Runge 2014-01-23 09:44:07 EST
When reproducing this, my machine gets a significant load avg (30), and esp. high iowaits (85%). 

you can try that yourself (even in shell):
#!/bin/sh
function create() {
start_create=`date +%s`
for i in `seq 1 8`; do cinder create --display-name myvol$i 1 ; done
end_create=`date +%s`
echo $end_create - $start_create | bc
}


function delete() {
start_create=`date +%s`
volumes=`cinder list | grep "myvol" | cut -d '|' -f2-2 `
for i in $volumes ; do cinder delete $i; done
end_create=`date +%s`
echo $end_create - $start_create | bc
}

create
delete


And wait 10 mins, until your computer is usable again ;-)
Comment 5 Matthias Runge 2014-01-23 09:53:54 EST
it seems, cinder delete using a loopback device etc. is a very expensive function.

Note You need to log in before you can comment on or make changes to this bug.